<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough">

<h:head>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<title>SysVendas</title>
	<!-- Tell the browser to be responsive to screen width -->
	<meta
		content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no"
		name="viewport" />
	<meta http-equiv="cache-control" content="max-age=0" />
	<meta http-equiv="cache-control" content="no-cache" />
	<meta http-equiv="expires" content="0" />
	<meta http-equiv="expires" content="Tue, 01 Jan 1980 1:00:00 GMT" />
	<meta http-equiv="pragma" content="no-cache" />
	<!-- Bootstrap 3.3.5 -->
	<h:outputStylesheet library="bootstrap" name="css/bootstrap.min.css" />

	<!-- Font Awesome -->
	<!--<h:outputStylesheet library="css" name="font-awesome.min.css"/>-->
	<!--        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css"/>-->
	<!-- Ionicons -->
	<!--        <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css"/>-->
	<h:outputStylesheet library="css" name="ionicons.min.css" />
	<h:outputStylesheet library="css" name="sistema.css" />
	<!-- Theme style -->
	<h:outputStylesheet library="dist" name="css/AdminLTE.min.css" />
	<!-- AdminLTE Skins. Choose a skin from the css/skins
             folder instead of downloading all of them to reduce the load. -->
	<h:outputStylesheet library="dist" name="css/skins/_all-skins.min.css" />
	<!-- iCheck -->
	<!-- <h:outputStylesheet library="plugins" name="iCheck/flat/blue.css" /> -->
	<!-- jvectormap -->
	<!-- <h:outputStylesheet library="plugins" name="jvectormap/jquery-jvectormap-1.2.2.css" /> -->
	<!-- Date Picker -->
	<!-- <h:outputStylesheet library="plugins" name="datepicker/datepicker3.css"/>-->
	<!-- Daterange picker -->
	<!--<h:outputStylesheet library="plugins" name="daterangepicker/daterangepicker-bs3.css"/>-->
	<!-- bootstrap wysihtml5 - text editor -->
	<!-- <h:outputStylesheet library="plugins" name="bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css" /> -->
	<h:outputStylesheet library="css" name="nprogress.css" />
	<f:loadBundle var="msg" basename="versao" />
	<!-- barra de progresso -->
	<style type="text/css">
div[id="growl_container"] {
	top: 120px;
	z-index: 1001;
}

div[id="growl_container"] {
	position: absolute;
	top: 120px;
	z-index: 1001;
}

* /
		
		::-webkit-scrollbar {
	width: 8px;
}

::-webkit-scrollbar-button {
	width: 8px;
	height: 5px;
}

* /
		
		::-webkit-scrollbar-track {
	background: #eee;
	border: thin solid lightgray;
	box-shadow: 0px 0px 3px #3CBD50 inset;
	border-radius: 50px;
}

::-webkit-scrollbar-thumb {
	background: #3c8dbc;
	border: thin solid #3CBD50;
	border-radius: 50px;
}

* /
		
		::-webkit-scrollbar-thumb:hover {
	background: #3CBD50;
}
</style>
	<h:outputScript library="scripts" name="pfcrud.js" />
	<h:outputScript library="scripts" name="locale-primefaces.js" />
	<h:outputStylesheet library="css" name="pfcrud.css" />
</h:head>

<h:body class="hold-transition skin-blue sidebar-mini">

	<p:growl id="growl" life="5000" />

	<!-- p:ajaxStatus onstart="PF('Loading').show();" onsuccess="PF('Loading').hide();"/--> 

	<p:dialog appendTo="@(body)" modal="true" draggable="false"
		closable="false" resizable="false" showHeader="false"
		widgetVar="Loading">
		<center>Aguarde...</center>
		<p:graphicImage value="/resources/images/ajaxloadingbar.gif"/>
	</p:dialog>

	<ui:include src="Profile.xhtml" />

	<div class="wrapper">
		<header class="main-header"> <!-- Logo --> <a
			href="#{request.contextPath}/index.xhtml" class="logo"> <!-- mini logo for sidebar mini 50x50 pixels -->
			<span class="logo-mini"><b><p:graphicImage value="/resources/images/favicon.svg" width="30"/></b></span> <!-- logo for regular state and mobile devices -->
			<span class="logo-lg">
				<b>
					<!-- <p:graphicImage value="/resources/images/nome.svg" /> -->
					<p:graphicImage value="/resources/images/logo_1.svg" />
				</b>
			</span>
		</a> <!-- Header Navbar: style can be found in header.less --> <nav
			class="navbar navbar-static-top" role="navigation"> <!-- Sidebar toggle button-->
		<a href="#" class="sidebar-toggle" data-toggle="offcanvas"
			role="button"> <span class="sr-only">Toggle navigation</span>
		</a>
		<div class="navbar-custom-menu">
			<ul class="nav navbar-nav">
				<!-- User Account: style can be found in dropdown.less -->
				<li class="dropdown user user-menu"><a href="#"
					class="dropdown-toggle" data-toggle="dropdown"> <p:graphicImage
							rendered="#{loginController.usuario.fotoUsuario != null ? true : false}"
							value="/foto?nome=#{loginController.usuario.fotoUsuario}" 
							styleClass="user-image" alt="User Image" /> <p:graphicImage
							rendered="#{loginController.usuario.fotoUsuario == null ? true : false}"
							value="/resources/dist/img/user.jpg" styleClass="user-image"
							alt="User Image" /> <span class="hidden-xs">#{loginController.usuario.user}</span>
				</a>
					<ul class="dropdown-menu">
						<!-- User image -->
						<li class="user-header"><p:graphicImage
								rendered="#{loginController.usuario.fotoUsuario != null ? true : false}"
								value="/foto?nome=#{loginController.usuario.fotoUsuario}" 
								styleClass="img-circle" alt="User Image" /> <p:graphicImage
								rendered="#{loginController.usuario.fotoUsuario == null ? true : false}"
								value="/resources/dist/img/user.jpg" styleClass="img-circle"
								alt="User Image" />

							<p>
								#{loginController.usuario.nomeCompleto} -
								#{loginController.usuario.perfil} <small>Mebro desde
									#{loginController.usuario.mes} - #{loginController.usuario.ano}</small>
							</p></li>
						<!-- Menu Body -->
						<!--li class="user-body">
							<div class="col-xs-4 text-center">
								<a href="#">Followers</a>
							</div>
							<div class="col-xs-4 text-center">
								<a href="#">Sales</a>
							</div>
							<div class="col-xs-4 text-center">
								<a href="#">Friends</a>
							</div>
						</li-->
						<!-- Menu Footer-->
						<li class="user-footer">
<!-- 							<div class="pull-left"> -->
<!-- 								<a href="#" class="btn btn-default btn-flat">Profile</a> -->
<!-- 								<h:form enctype="multipart/form-data"> -->
<!-- 									<p:commandLink value="Profile" -->
<!-- 										styleClass="btn btn-default btn-flat" -->
<!-- 										onclick="PF('ProfileDialog').show()" /> -->
<!-- 								</h:form> -->
<!-- 							</div> -->
							<div class="pull-right">
								<h:form enctype="multipart/form-data">
									<p:commandLink style="color: white" value="Sair"
										styleClass="btn btn-default btn-flat"
										action="#{loginController.logout}">
										<i class="fa fa-sign-out fa-lg"></i>
                                                    &nbsp;
                                                </p:commandLink>
								</h:form>
							</div>
						</li>

					</ul></li>
				<!-- Control Sidebar Toggle Button -->
				<li><a href="#" data-toggle="control-sidebar"><i
						class="fa fa-gears"></i></a></li>
			</ul>
		</div>
		</nav> </header>
		<!-- Left side column. contains the logo and sidebar -->
		<aside class="main-sidebar"> <h:form
			enctype="multipart/form-data">
			<!-- sidebar: style can be found in sidebar.less -->
			<section class="sidebar" id="sidebar"> <!-- Sidebar user panel -->
			<div class="user-panel">
				<div class="pull-left image">
					<p:graphicImage
						rendered="#{loginController.usuario.fotoUsuario != null ? true : false}"
						value="/foto?nome=#{loginController.usuario.fotoUsuario}" 
						styleClass="img-circle" alt="User Image" />
					<p:graphicImage
						rendered="#{loginController.usuario.fotoUsuario == null ? true : false}"
						value="/resources/dist/img/user.jpg" styleClass="img-circle"
						alt="User Image" />
				</div>
				<div class="pull-left info">
					<p>#{loginController.usuario.user}</p>
					<i class="fa fa-circle text-success"></i> Online
				</div>
			</div>

			<ul class="sidebar-menu" id="sidebar-menu"
				style="height: 80%; width: 100%">
				<li class="header" id="liHeader">Menu de Navegação</li>
				<h:panelGroup id="menuListGroup" class="sidebar-menu">
					<ui:repeat value="#{menuController.menuList}" var="menu">
						<ui:fragment rendered="#{menu.topMenuId==null}">
							<li class="treeview" id="mainTree"><ui:fragment
									rendered="#{menu.menuLink eq null or menu.menuLink ==''}">
									<a href=""><i class="fa fa-bars" style="color: red"> </i> <span>
											#{menu.menuName} </span> <i class="fa fa-angle-left pull-right">
									</i> </a>
								</ui:fragment>
								<ul class="treeview-menu">
									<ui:repeat value="#{menuController.menuList}" var="subMenu">
										<ui:fragment rendered="#{menu.id == subMenu.topMenuId}">
											<li id="1"><p:commandLink
													action="#{menuController.setPage(subMenu.menuLink,subMenu.menuName)}"
													update="myPanel,myDashBoard" onstart="start()"
													onsuccess="finish()">
													<i class="fa fa-circle-o"></i> #{subMenu.menuName}<small
														class="label pull-right bg-aqua"></small>
												</p:commandLink></li>
										</ui:fragment>
									</ui:repeat>
								</ul></li>
						</ui:fragment>
					</ui:repeat>
				</h:panelGroup>
			</ul>
			</section>
			<!-- /.sidebar -->
		</h:form> </aside>


		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			<!-- Content Header (Page header) -->
			<section class="content-header">
<!-- 			<h1> -->
<!-- 				<small>Cadastro de #{menuController.pageName}</small> -->
<!-- 			</h1> -->
			<h:panelGroup id="myDashBoard" class="breadcrumb">
				<ol class="breadcrumb">
					<li><a href="index.xhtml"><i class="fa fa-dashboard"></i>Home</a></li>
					<li class="active">#{menuController.pageName}</li>
				</ol>
			</h:panelGroup> </section>

			<!-- Main content -->
			<section class="content"> 
			<ui:insert name="body"/>                  
			<h:panelGroup id="myPanel" layout="block">
				<ui:include src="#{menuController.pageLink}.xhtml" />
			</h:panelGroup> 
			
			</section>
			<!-- /.content -->
		</div>
		<!-- /.content-wrapper -->

		<!-- Control Sidebar -->
		<aside class="control-sidebar control-sidebar-dark"> <!-- Tab panes -->
		<div class="tab-content">
			<!-- Home tab content -->
			<div class="tab-pane" id="control-sidebar-home-tab">


				<h3 class="control-sidebar-heading">Tasks Progress</h3>
				<ul class="control-sidebar-menu">
					<li><a href="javascript::;">
							<h4 class="control-sidebar-subheading">
								Custom Template Design <span
									class="label label-danger pull-right">70%</span>
							</h4>
							<div class="progress progress-xxs">
								<div class="progress-bar progress-bar-danger" style="width: 70%"></div>
							</div>
					</a></li>
					<li><a href="javascript::;">
							<h4 class="control-sidebar-subheading">
								Update Resume <span class="label label-success pull-right">95%</span>
							</h4>
							<div class="progress progress-xxs">
								<div class="progress-bar progress-bar-success"
									style="width: 95%"></div>
							</div>
					</a></li>
					<li><a href="javascript::;">
							<h4 class="control-sidebar-subheading">
								Laravel Integration <span class="label label-warning pull-right">50%</span>
							</h4>
							<div class="progress progress-xxs">
								<div class="progress-bar progress-bar-warning"
									style="width: 50%"></div>
							</div>
					</a></li>
				</ul>
				<!-- /.control-sidebar-menu -->

			</div>
			<!-- /.tab-pane -->

		</div>
		</aside>
		<!-- /.control-sidebar -->

		<!-- Add the sidebar's background. This div must be placed
                 immediately after the control sidebar -->
		<div class="control-sidebar-bg"></div>
	</div>
	<!-- ################################################################################ -->
	<h:outputScript library="bootstrap" name="js/bootstrap.min.js" />
	<h:outputScript library="dist" name="js/app.js" />
	<h:outputScript library="dist" name="js/demo.js" />
	<h:outputScript library="scripts" name="nprogress.js" />
	<h:outputScript library="scripts" name="formatador.js" />

	<script type="text/javascript">

            function start() {
                var cssClass = $("body").attr("class");
                NProgress.start(cssClass);
            }

            function finish() {
                NProgress.done();
            }

        </script>

	<!-- Page Loading Effect -->
	<script>var HN = [];
            HN.factory = function (e) {
                return function () {
                    HN.push([e].concat(Array.prototype.slice.call(arguments, 0)))
                };
            }, HN.on = HN.factory("on"), HN.once = HN.factory("once"), HN.off = HN.factory("off"), HN.emit = HN.factory("emit"), HN.load = function () {
                var e = "hn-button.js";
                if (document.getElementById(e))
                    return;
                var t = document.createElement("script");
                t.id = e, t.src = "//hn-button.herokuapp.com/hn-button.js";
                var n = document.getElementsByTagName("script")[0];
                n.parentNode.insertBefore(t, n)
            }, HN.load();



        </script>
	<!-- Page Loading Effect -->

	<!--        <script type="text/javascript">
        
        //            function resize() {
        //                var height = $(window).height();
        //                var userPanel = $(".user-panel").height();
        //                var mainHeader = $(".main-header").height();
        //                var liHeader = $("#liHeader").height();
        //                var margins = 13;
        //                var total = userPanel + mainHeader + liHeader + margins;
        //                var result = height - total;
        //                result = result + "px";
        //                $("#sidebar-menu").css("height", result);
        //                $("#sidebar-menu").css("overflow-y", "scroll");
        //            }
        
                    $(document).ready(function () {
                        $("#mainTree").addClass("active");
                        //resize();
                    });
        //
        //            $(window).on('resize', function () {
        //                resize();
        //            });
        
                    $(document).ready(function () {
                        $('li').on('click', function () {
                            $(this).siblings().removeClass('active');
                            $(this).addClass('active');
                        });
                    });
        
                </script>-->

</h:body>
</html>